/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2006 The LS-Universe Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/
#include "stdafx.h"
#include "zOrderManager.h"

BOOL CALLBACK FindWindowEx2EnumWindowsProc(HWND hWnd, LPARAM lParam)
{
	FindWindowEx2Data* pfwed = (FindWindowEx2Data*)lParam;

	char szClass[1024] = {0};
	char szTitle[1024] = {0};

	if (pfwed->pszClass)
		GetClassName(hWnd, szClass, 1024);
	
	if (pfwed->pszTitle)
		GetWindowText(hWnd, szTitle, 1024);

	if ((pfwed->pszClass != NULL ? !_stricmp(szClass, pfwed->pszClass) : TRUE) && (pfwed->pszTitle != NULL ? !_stricmp(szTitle, pfwed->pszTitle) : TRUE))
	{
		*(pfwed->phWnd) = hWnd;
		return FALSE;
	}

	EnumChildWindows(hWnd, FindWindowEx2EnumWindowsProc, lParam);

	return (*pfwed->phWnd == NULL);
}

HWND FindWindowEx2(LPCSTR pszClass, LPCSTR pszTitle)
{
	HWND hWnd = NULL;

	FindWindowEx2Data fwed;
	fwed.phWnd = &hWnd;
	fwed.pszClass = pszClass;
	fwed.pszTitle = pszTitle;

	EnumWindows(FindWindowEx2EnumWindowsProc, (LPARAM)&fwed);

	return *(fwed.phWnd);
}
